Skip to main content
GET
/
api
/
stats
Get consolidated statistics
curl --request GET \
  --url https://api.example.com/api/stats
{
  "agents": [
    {
      "id": 123,
      "agent_name": "<string>",
      "enabled": true,
      "call_type": "INCOMING",
      "call_stats": []
    }
  ],
  "call_details": [
    {
      "call_status": "QUEUED",
      "call_duration": 123,
      "billed_duration": 123,
      "initiation_time": "<string>",
      "from_number": "<string>",
      "call_direction": "inbound",
      "recording_id": "<string>",
      "agent_name": "<string>"
    }
  ]
}

Query Parameters

agent_ids
string | null
enabled_only
boolean
default:true

Response

Successful Response

Slim response schema for the consolidated stats endpoint.

agents
SlimAgent · object[]
required
call_details
SlimCallStat · object[]
required